<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Students</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<body>
        <div id="modal_add_student" class="modal">
            <div class="modal-content">
            <div class="modal-header">
                <h2>Add student</h2>
                <button class="btn-modal-close" onclick="showAddStudentModal(false)"><i class="fa fa-close"></i></button>
            </div>
            <div class="modal-body">
                <div class="modal-form">
                    <p>Group</p><select id="txt_student_group" name="group" aria-placeholder="Select Group">
                        <option value="" disabled selected>Select group</option>
                        <option value="KN-21">KN-21</option>
                        <option value="KN-22">KN-22</option>
                    </select>
                    <p>First name</p><input id="txt_student_fname" type="text">
                    <p>Last name</p><input id="txt_student_lname" type="text">
                    <p>Gender</p><select id="txt_student_gender" name="gender" aria-placeholder="Select Gender">
                        <option value="" disabled selected>Select gender</option>
                        <option value="M">M</option>
                        <option value="F">F</option>
                        <option value="X">X</option>
                    </select>
                    <p>Birthday</p><input id="txt_student_bdate" type="date">
                </div>
            </div>
            <div class="modal-footer">
                <button class="btn-modal" onclick="showAddStudentModal(false)">Ok</button>
                <button class="btn-modal" onclick="createStudent()">Create</button>
            </div>
            </div>
        </div>      
        <div id="modal_delete_student" class="modal">
            <div class="modal-content">
            <div class="modal-header">
                <h2>Delete student</h2>
                <button class="btn-modal-close" onclick="showDeleteStudentModal(false)"><i class="fa fa-close"></i></button>
            </div>
            <div class="modal-body">
                <p id="delete_prompt"></p>
            </div>
            <div class="modal-footer">
                <button class="btn-modal" onclick="doDeleteStudent()">Ok</button>
                <button class="btn-modal" onclick="showDeleteStudentModal(false)">Cancel</button>
            </div>
            </div>
        </div>
    <div id="navbar">
        <div id="logo">
            <img src="https://i.imgur.com/xWgJ7YQ.png" alt="CMS" width="100">
        </div>
        <div id="nav_toolpane">
            <div id="notifications" class="dropdown">
                <span id="notification_counter" class="button_badge badge_invisible">4</span>
                <img ondblclick="showNotificationCount()" src="https://i.imgur.com/puEhuZR.png" alt="Notifications" width="25">
                <div class="dropdown-content">
                    <div class="notification-item">
                        <a href="#">
                            <div class="notification-item-user">
                                <img src="https://i.imgur.com/U1bhFPG.png" width="25px">
                                <p class="notification-item-user-name">Admin</p>
                            </div>
                        </a>
                        <div class="notification-item-message">Message 1</div>
                    </div>
                    <div class="notification-item">
                        <a href="#">
                            <div class="notification-item-user">
                                <img src="https://i.imgur.com/U1bhFPG.png" width="25px">
                                <p class="notification-item-user-name">John K.</p>
                            </div>
                        </a>
                        <div class="notification-item-message">Message 2</div>
                    </div>
                    <div class="notification-item">
                        <a href="#">
                            <div class="notification-item-user">
                                <img src="https://i.imgur.com/U1bhFPG.png" width="25px">
                                <p class="notification-item-user-name">Ann S.</p>
                            </div>
                        </a>
                        <div class="notification-item-message">Message 3</div>
                    </div>
                </div>
            </div>
            <div id="profile" class="dropdown">
                <img src="https://i.imgur.com/U1bhFPG.png" alt="Profile" width="30">
                <p>James Bond</p>
                <div class="dropdown-content">
                    <a href="#" class="profile-item">Profile</a>
                    <a href="#" class="profile-item">Log out</a>
                </div>
            </div>
        </div>
    </div>
    <div id="main_wrapper">
    <div id="sidebar">
        <div class="sidebar_item"><a href="#">Dashboard</a></div>
        <div class="sidebar_item"><a href="#">Students</a></div>
        <div class="sidebar_item"><a href="#">Tasks</a></div>
    </div>
    <div id="main_content">
        <h1>Students</h1>
        <div class="students_table_buttons">
            <button id="btn_add_student">+</button>
        </div>
        <div id="students_block">
            <table id="students_table">
                <th width=8%><input type="checkbox" id="checkbox_all" onclick="checkAll()"></th>
                <th width=15%>Group</th>
                <th width=25%>Name</th>
                <th width=9%>Gender</th>
                <th width=20%>Birthday</th>
                <th width=6%>Status</th>
                <th>Options</th>
                <tr class="student-row" arg-id=0>
                    <td><input type="checkbox" class="student-checkbox"></td>
                    <td>KN-21</td>
                    <td>John Smith</td>
                    <td>M</td>
                    <td>11.05.2004</td>
                    <td><span class="indicator green"></span></td>
                    <td>
                        <div class="table_buttons">
                            <button class="table_button"><i class="fa fa-pencil"></i></button>
                            <button class="table_button" onclick="deleteStudent(0)"><i class="fa fa-close"></i></button>       
                        </div>  
                    </td>
                </tr>
                <tr class="student-row" arg-id=1>
                    <td><input type="checkbox" class="student-checkbox"></td>
                    <td>KN-22</td>
                    <td>Ann Bond</td>
                    <td>F</td>
                    <td>24.04.2004</td>
                    <td><span class="indicator gray"></span></td>
                    <td>
                        <div class="table_buttons">
                            <button class="table_button"><i class="fa fa-pencil"></i></button>
                            <button class="table_button" onclick="deleteStudent(1)"><i class="fa fa-close"></i></button>       
                        </div>            
                    </td>
                </tr>
            </table>
        </div>
        <div id="page_pane">
            <button>&lt;</button>
            <button>1</button>
            <button>2</button>
            <button>3</button>
            <button>4</button>
            <button>&gt;</button>
        </div>
    </div>
</div>
<script src="scripts.js"></script>
</body>
</html>
